Skip to main content
GET
/
v1
/
integration
/
{id}
/
stack-schema
/integration/:id/stack-schema
curl --request GET \
  --url https://api.tagdeliver.com/v1/integration/{id}/stack-schema \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/integration/{id}/stack-schema"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/integration/{id}/stack-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "account_name": "Shop MPU",
  "title": "Image Fallback",
  "sub_title": "Fallback Creative",
  "type": "fallback",
  "description": "Image fallback for when an ad slot fails to fill.",
  "icon": "https://cdn.tagdeliver.com/assets/demo-ads/Leaderboard@1x.png",
  "icon_dark": "https://cdn.tagdeliver.com/assets/demo-ads/Leaderboard@1x.png",
  "schema": {
    "type": "object",
    "properties": {
      "source": {
        "title": "Image",
        "type": "string",
        "format": "data-url",
        "readOnly": true
      },
      "source_2": {
        "title": "Image (@x2)",
        "type": [
          "string",
          "null"
        ],
        "format": "data-url",
        "description": "Optionally provide a secondary copy of your image at exactly twice the size, for use on high resolution screens.",
        "readOnly": true
      },
      "link": {
        "title": "Link",
        "type": "string",
        "format": "uri",
        "description": "The https link that users will click through to.",
        "readOnly": true
      },
      "sizes": {
        "title": "Sizes",
        "type": "array",
        "uniqueItems": true,
        "items": {
          "type": "string"
        },
        "description": "Control the supported sizes for this creative, so when multi-size units adjust for device type, so can the creatives. Leave blank to support any/all sizes.",
        "readOnly": true
      },
      "weight": {
        "title": "Weight",
        "type": "integer",
        "default": 1,
        "description": "Miscellaneous number to weight the serving of multiple fallback creatives. E.g. set one creative to 1 and another to 2 to have the second creative serve twice as much as the first. Leave blank to weight equally."
      }
    },
    "required": [],
    "definitions": {
      "iab_sizes_anyOf": {
        "anyOf": [
          {
            "title": "468x60 (Banner)",
            "const": "468x60"
          },
          {
            "title": "970x250 (Billboard)",
            "const": "970x250"
          },
          {
            "title": "120x60 (Financial)",
            "const": "120x60"
          },
          {
            "title": "fluid (Fluid)",
            "const": "fluid"
          },
          {
            "title": "300x600 (Halfpage)",
            "const": "300x600"
          },
          {
            "title": "320x100 (Large Mobile Banner)",
            "const": "320x100"
          },
          {
            "title": "336x280 (Large Rectangle)",
            "const": "336x280"
          },
          {
            "title": "728x90 (Leaderboard)",
            "const": "728x90"
          },
          {
            "title": "300x50 (Mobile Banner)",
            "const": "300x50"
          },
          {
            "title": "1080x1920 (Mobile Interstitial)",
            "const": "1080x1920"
          },
          {
            "title": "640x1136 (Mobile Interstitial)",
            "const": "640x1136"
          },
          {
            "title": "750x1334 (Mobile Interstitial)",
            "const": "750x1334"
          },
          {
            "title": "480x320 (Mobile Landscape Full-Screen)",
            "const": "480x320"
          },
          {
            "title": "216x36 (Mobile Large Banner)",
            "const": "216x36"
          },
          {
            "title": "320x50 (Mobile Leaderboard)",
            "const": "320x50"
          },
          {
            "title": "168x28 (Mobile Medium Banner)",
            "const": "168x28"
          },
          {
            "title": "320x480 (Mobile Portrait Full-Screen)",
            "const": "320x480"
          },
          {
            "title": "120x20 (Mobile Small Banner)",
            "const": "120x20"
          },
          {
            "title": "300x250 (MPU)",
            "const": "300x250"
          },
          {
            "title": "120x600 (Old Skyscraper)",
            "const": "120x600"
          },
          {
            "title": "1x1 (Pixel)",
            "const": "1x1"
          },
          {
            "title": "300x1050 (Portrait)",
            "const": "300x1050"
          },
          {
            "title": "160x600 (Skyscraper)",
            "const": "160x600"
          },
          {
            "title": "250x250 (Square)",
            "const": "250x250"
          },
          {
            "title": "970x90 (Super Leaderboard)",
            "const": "970x90"
          },
          {
            "title": "250x360 (Triple Widescreen)",
            "const": "250x360"
          }
        ]
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

uid
integer
default:<integer>

Publisher ID, helps to filter applicable fields

Response

200 - application/json
id
integer
required
account_name
string
required
title
string
required
sub_title
string
required
type
string
required
description
string
required
icon
string
required
icon_dark
string
required
schema
object
required
success
boolean
required